Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 591617 - lscpu does not use cpu masks properly
Summary: lscpu does not use cpu masks properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: Juraj Marko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 17:35 UTC by Casey Dahlin
Modified: 2018-11-14 19:32 UTC (History)
6 users (show)

Fixed In Version: util-linux-ng-2.17.2-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:52:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Casey Dahlin 2010-05-12 17:35:45 UTC
lscpu does not correctly use cpu masks, which can lead to incorrect or confusing information reported.

http://article.gmane.org/gmane.linux.utilities.util-linux-ng/3180

Comment 1 Karel Zak 2010-06-14 10:15:26 UTC
The problem has been fixed in upstream tree. It's relatively invasive change. My suggestion is to rebase lscpu(1) in RHEL6.1.

Comment 2 James M. Leddy 2010-06-24 18:51:24 UTC
Can we rebase util-linux-ng in 6.0? The customer also wants the fsfreeze command:

http://thread.gmane.org/gmane.linux.utilities.util-linux-ng/3181/focus=3193

Comment 8 RHEL Program Management 2010-06-28 15:43:08 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 12 releng-rhel@redhat.com 2010-11-10 21:52:22 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.